com.r3corda.core.serialization / SerializeAsTokenSerializer

# SerializeAsTokenSerializer

`class SerializeAsTokenSerializer<T : SerializeAsToken>`

A Kryo serializer for SerializeAsToken implementations.

Annotate the SerializeAsToken with @DefaultSerializer(SerializeAsTokenSerializer::class)

### Constructors

<init> | `SerializeAsTokenSerializer()` A Kryo serializer for SerializeAsToken implementations.

### Functions

read | `fun read(kryo: <ERROR CLASS>, input: <ERROR CLASS>, type: Class<T>): T`
write | `fun write(kryo: <ERROR CLASS>, output: <ERROR CLASS>, obj: T): Unit`